#
# spec file for package libclc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libclc
Version:        0.2.0+git20151006.6d78407
Release:        2.3
Summary:        OpenCL C programming language library
License:        BSD-3-Clause or MIT
Group:          Development/Libraries/C and C++
Url:            http://libclc.llvm.org/
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-rpmlintrc
BuildRequires:  gcc
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  llvm-clang-devel
BuildRequires:  llvm-devel >= 3.7
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
BuildRequires:  python
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library requirements of the OpenCL C programming language.

%prep
%setup -q

%build
export \
  CFLAGS="%{optflags}" \
  CXXFLAGS="%{optflags}" \
  CC=clang \
  CXX=clang++
./configure.py \
  --prefix=%{_prefix} \
  --with-llvm-config=%{_bindir}/llvm-config \
  --with-cxx-compiler=${CXX} \
  --enable-runtime-subnormal \
  --pkgconfigdir=%{_libdir}/pkgconfig/ \
  --libexecdir=%{_libdir}/clc/

make %{?_smp_mflags} VERBOSE=1

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc LICENSE.TXT
%{_includedir}/clc
%{_libdir}/clc
%{_libdir}/pkgconfig/libclc.pc

%changelog
* Thu Dec 17 2015 coolo@suse.com
- fix license according to legal team
* Thu Dec 17 2015 sndirsch@suse.com
- modify license to 'BSD-3-Clause or MIT'
- added LICENSE.TXT file to %%doc
* Wed Dec  9 2015 mpluskal@suse.com
- Remove unnecessary ldconfig calls
- Rename rpmlintrc to libclc-rpmlintrc
- Minor spec file cleanup
* Tue Dec  8 2015 sndirsch@suse.com
- used BSD-3-Clause instead of BSD-2-Clause in order to make our
  legal team happy
* Mon Dec  7 2015 sndirsch@suse.com
- added rpmlintrc as source to specfile
* Wed Dec  2 2015 jimmy@boombatower.com
- Remove devel package in favor of main package since libclc is
  unusable without the header files used to compile OpenCL
  applications against.
* Mon Nov 30 2015 jimmy@boombatower.com
- Merge home:X0F:HSF spec changes.
- Set _service file to static revisions in lieu of tags.
- Major cleanup of spec file.
- Apply spec-cleaner.
* Fri Feb  3 2012 pontostroy@gmail.com
- initial package
